List Metrics Data

Retrieves a paginated list of metric data (evaluation results) from your Confident AI project.

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Query parameters

pageintegerOptional>=1
This specifies the page number of the metrics data to return. Defaulted to 1.
pageSizeintegerOptional1-100
This specifies the maximum number of metrics data per page. Defaulted to 25, capped at 100.
startstringOptionalformat: "date-time"
This filters for metrics data created after the specified start datetime. Defaulted to 60 days ago.
endstringOptionalformat: "date-time"
This filters for metrics data created before the specified end datetime. Defaulted to the current time.
sortByenumOptional

This determines the field to sort by. Defaulted to createdAt.

Allowed values:
ascendingenumOptional

This determines if the field specified in sortBy should be in ascending order. Defaults to false.

Allowed values:

Response

Successfully retrieved list of metrics data
successboolean
Indicates if the request was successful
dataobject